Solid Edge FrameworkSupport Type Library
Key Property
Description
Returns a key (a string) to find the object relative to its owning parents.
Property type
Read-only property
Syntax
Visual Basic
Public Property Key( _
   Optional ByVal Recurse As Variant _
) As String
Parameters
Recurse
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objDatumTargets As SolidEdgeFrameworkSupport.DatumTargets
    Dim objDatumTarget As SolidEdgeFrameworkSupport.DatumTarget
    Dim strKey As String
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'getting the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'Getting the DatumTargets object
    Set objDatumTargets = objSheet.DatumTargets
    'Create a Datum target in the active sheet
    Set objDatumTarget = objDatumTargets.Add(x1:=0.3, y1:=0.25, z1:=0.25)
    'Set the DatumReference
    objDatumTarget.DatumReference = "A"
    'Add a vertex
    Call objDatumTarget.AddVertex(x:=0.35, y:=0.3, z:=0)
    'Get the key of Datumtarget
    strKey = objDatumTarget.Key
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objDatumTargets = Nothing
    Set objDatumTarget = Nothing
End Sub
See Also

DatumTarget Object  | DatumTarget Members

Send comments on this topic.